{
  "function": "minecraft:set_components",
  "components": {
    "minecraft:equippable": {
      "slot": "chest",
      "camera_overlay": "custom/overlay/engineer",
      "model":"minecraft:scientist"
    }
  }
}